Odin

Odin

1.0.0OAS 3.0

Odin is responsible for managing what’s shown on the Electronic Shelf Labels (ESLs). The API offers routes for pairing, unpairing, processing storeprocesses and MP products and flipping label pages.
Further reading on Sif (Odin x Sif): Sif serves as the frontend responsible for managing user interactions. To enable seamless communication between Sif and Odin, an API is provided following a Backend-for-Frontend (BFF) architecture.
With wisdom there is curiousity.

API Base URL
  • Server 1:https://api.migros.ch

    URL of upstream

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

ESL-Migros

Create Migros label

Gathers product-, price-, scale- and store-data, creates a label and starts the image generation process.

post
https://api.migros.ch/migros/products/odin/v1/label

Body

application/json

MigrosMoFipLabel

MoFipLabel represents the model which MoFip sends while pairing.

arrowstringrequired

Example:none

designstringrequired

Example:[ "" ]

gtinstringrequired

Example:2124307000000

label_idstringrequired

Example:0BC62A0BB696

origin_countrystringrequired

Example:Espagne

product_idstringrequired

Example:275700501000

rotation_degreesstringrequired

Example:[ "" ]

show_delivery_by_airboolean | nullrequired

Example:false

show_delivery_interruptionboolean | nullrequired

Example:false

store_idstringrequired

Example:0063940

wildfangstringrequired

Example:[ "" ]

Response

201

Label created

post/migros/products/odin/v1/label

Body

{ "arrow": "none", "design": "", "gtin": "2124307000000", "label_id": "0BC62A0BB696", "origin_country": "Espagne", "product_id": "275700501000", "rotation_degrees": "", "show_delivery_by_air": false, "show_delivery_interruption": false, "store_id": "0063940", "wildfang": "" }
 
201

Flip migros to page

Flip to a specific page on an ESL.

patch
https://api.migros.ch/migros/products/odin/v1/label/flip/{labelID}

Path Parameters

labelIDstringrequired

ID of the label

Example:0BC62A0BB696

Body

application/json

MigrosMoFipPageflip

MigrosMoFipPageflip represents the model which MoFip sends when initiating a pageflip.

pageintegerrequired

Example:2

Response

204

OK

patch/migros/products/odin/v1/label/flip/{labelID}

Body

{ "page": 2 }
 
204

Remove Migros label

Removes the specified Migros label along with any associated labels that have the same product and store. It also unlinks the labels from AIMS.

delete
https://api.migros.ch/migros/products/odin/v1/label/{labelID}

Path Parameters

labelIDstringrequired

ID of the label

Example:0BC62A0BB696

Response

204

Label deleted

delete/migros/products/odin/v1/label/{labelID}
 
204